Bug 1261435 - The resolution is set to incorrect value after clicking Revert Setting button.
The resolution is set to incorrect value after clicking Revert Setting button.
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mutter (Show other bugs)
7.2
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 06:25 EDT by xiaodwan
Modified: 2017-09-27 23:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl logs (4.13 KB, text/plain)
2015-09-10 02:25 EDT, xiaodwan
no flags Details
virt-viewer debug logs (192.97 KB, text/plain)
2015-09-10 02:25 EDT, xiaodwan
no flags Details

  None (edit)
Description xiaodwan 2015-09-09 06:25:42 EDT
Description of problem:
The resolution is set to incorrect value after clicking Revert Setting button.

Version-Release number of selected component (if applicable):
virt-viewer-2.0-6.el7.x86_64
spice-gtk3-0.26-5.el7.x86_64
spice-xpi-2.8-8.el7.x86_64
spice-glib-0.26-5.el7.x86_64
spice-gtk-0.26-5.el7.x86_64
spice-protocol-0.12.6-2.el7.noarch
spice-gtk-python-0.26-5.el7.x86_64
spice-vdagent-0.14.0-10.el7.x86_64
spice-server-0.12.4-13.el7.x86_64

Guest version:
http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL-7.2-20150904.0/compose/Server/x86_64/

How reproducible:
100%

Steps to Reproduce:
1. Open the guest by virt-viewer in fullscreen mode, check the resolution is 1680x1050.
#virt-viewer rhel7.2 -f
2. set the resolution to 1440x900, click Apply->Revert Settings, check the resolution again. it is set to 1680x1021. This is not same as previous.
3. set the resolution to 1440x900 again, click Apply->Revert Settings, check the resolution. it is set to 1440x900. 

Actual results:
See the steps.

Expected results:
It should always set to correct resolution after click "Revert Settings".

Additional info:
1. I tested it with my rhel7.2 host(same path as the guest above) by changing the resolution and revert it back, it has same problem (but not 100% reproduce).
2. I'm not sure which component it should be, if I'm wrong, please correct me.
Comment 2 Ray Strode [halfline] 2015-09-09 09:17:18 EDT
So I believe virt-viewer has some logic to automatically resize the window, to the guest resolution and I believe the guest vdagent some logic to change the guest resolution based on the window size. If you run:

$ pkill -f spice-vdagent

before you try your guest experiments, do the results change?

If you're seeing this in the host there may be a mutter bug too.

can you post the output of

# sudo journalctl -b -a

after the problem happens?

I'd like the entire log, but in particular I wonder if you're seeing this in the log

Configuring CRTC %d with mode %d (%d x %d @ %f) at position %d, %d and transfrom %u failed
Comment 3 Ray Strode [halfline] 2015-09-09 10:09:35 EDT
also when you run virt-viewer can you run it from the command line and report any output that is sent to stderr (if any)
Comment 4 xiaodwan 2015-09-10 02:24:38 EDT
(In reply to Ray Strode [halfline] from comment #2)
> So I believe virt-viewer has some logic to automatically resize the window,
> to the guest resolution and I believe the guest vdagent some logic to change
> the guest resolution based on the window size. If you run:
> 
> $ pkill -f spice-vdagent
> 
> before you try your guest experiments, do the results change?
> 
> If you're seeing this in the host there may be a mutter bug too.
> 
> can you post the output of
> 
> # sudo journalctl -b -a
> 
> after the problem happens?
> 
> I'd like the entire log, but in particular I wonder if you're seeing this in
> the log
> 
> Configuring CRTC %d with mode %d (%d x %d @ %f) at position %d, %d and
> transfrom %u failed

I can't reproduce it with my host now, but still can reproduce it no matter spice-vdagnet is on or off.
I didn't see logs "Configuring CRTC %d with mode %d (%d x %d @ %f) at position %d, %d" by journalctl. I attached the journalctl and virt-viewer logs.
Comment 5 xiaodwan 2015-09-10 02:25:18 EDT
Created attachment 1072028 [details]
journalctl logs
Comment 6 xiaodwan 2015-09-10 02:25:48 EDT
Created attachment 1072029 [details]
virt-viewer debug logs

Note You need to log in before you can comment on or make changes to this bug.